> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hellopay.com.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a payment link by ID

> Gets a payment link by ID.



## OpenAPI

````yaml /openapi.yaml get /payment-links/{paymentLinkId}
openapi: 3.0.0
info:
  title: HelloPay API
  description: HelloPay Backend API Documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /payment-links/{paymentLinkId}:
    get:
      tags:
        - PaymentLinks
      summary: Get a payment link by ID
      description: Gets a payment link by ID.
      operationId: PaymentLinksController_getPaymentLink
      parameters:
        - name: paymentLinkId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Payment link successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLinkResponse'
        '400':
          description: Invalid input data
        '401':
          description: Unauthorized
components:
  schemas:
    PaymentLinkResponse:
      type: object
      properties:
        paymentLinkId:
          type: string
          description: Unique payment link ID
          example: ad78347a-9fd5-40b3-9e18-d89a0fe9989d
        paymentLinkUrl:
          type: string
          description: >-
            URL to share with the customer to complete the payment using the
            payment link
          example: >-
            https://pay.hellopay.com.co/link/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
        createdAt:
          format: date-time
          type: string
          description: Creation timestamp
          example: '2024-01-01T00:00:00.000Z'
        expiresAt:
          format: date-time
          type: string
          description: Expiration timestamp
          example: '2024-01-02T00:00:00.000Z'
        status:
          type: string
          description: Payment link status
          example: PENDING
        inlineCustomer:
          type: object
          description: Payment link customer data
          example:
            name: John Doe
            email: john.doe@example.com
            phone: '+1234567890'
            idType: CO_CC
            idNumber: '1234567890'
        rail:
          type: object
          description: Payment link rail
          example: BRE_B
      required:
        - paymentLinkId
        - paymentLinkUrl
        - createdAt
        - expiresAt
        - status
        - inlineCustomer
        - rail

````